package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */

@TableName("SFC")
public class Sfc extends Model<Sfc> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("SFC")
   private String sfc;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("SHOP_ORDER_BO")
   private String shopOrderBo;
   @TableField("QTY")
   private Double qty;
   @TableField("QTY_DONE")
   private Double qtyDone;
   @TableField("QTY_SCRAPPED")
   private Double qtyScrapped;
   @TableField("QTY_HISTORICAL_MIN")
   private Double qtyHistoricalMin;
   @TableField("QTY_HISTORICAL_MAX")
   private Double qtyHistoricalMax;
   @TableField("ITEM_BO")
   private String itemBo;
   @TableField("PRIORITY")
   private Long priority;
   @TableField("LOCATION")
   private String location;
   @TableField("RMA_MAX_TIMES_PROCESSED")
   private Long rmaMaxTimesProcessed;
   @TableField("LCC_BO")
   private String lccBo;
   @TableField("ORIGINAL_STATUS_BO")
   private String originalStatusBo;
   @TableField("QTY_MULT_PERFORMED")
   private String qtyMultPerformed;
   @TableField("ACTUAL_COMP_DATE")
   private LocalDateTime actualCompDate;
   @TableField("PREV_SITE")
   private String prevSite;
   @TableField("ORIGINAL_TRANSFER_KEY")
   private String originalTransferKey;
   @TableField("IMMEDIATE_ARCHIVE")
   private String immediateArchive;
   @TableField("TRANSFER_DATETIME")
   private LocalDateTime transferDatetime;
   @TableField("TRANSFER_USER")
   private String transferUser;
   @TableField("SN_DONE")
   private String snDone;
   @TableField("AIN_EQUIPMENT_ID")
   private String ainEquipmentId;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("PARTITION_DATE")
   private LocalDateTime partitionDate;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getShopOrderBo() {
      return shopOrderBo;
   }

   public void setShopOrderBo(String shopOrderBo) {
      this.shopOrderBo = shopOrderBo;
   }

   public Double getQty() {
      return qty;
   }

   public void setQty(Double qty) {
      this.qty = qty;
   }

   public Double getQtyDone() {
      return qtyDone;
   }

   public void setQtyDone(Double qtyDone) {
      this.qtyDone = qtyDone;
   }

   public Double getQtyScrapped() {
      return qtyScrapped;
   }

   public void setQtyScrapped(Double qtyScrapped) {
      this.qtyScrapped = qtyScrapped;
   }

   public Double getQtyHistoricalMin() {
      return qtyHistoricalMin;
   }

   public void setQtyHistoricalMin(Double qtyHistoricalMin) {
      this.qtyHistoricalMin = qtyHistoricalMin;
   }

   public Double getQtyHistoricalMax() {
      return qtyHistoricalMax;
   }

   public void setQtyHistoricalMax(Double qtyHistoricalMax) {
      this.qtyHistoricalMax = qtyHistoricalMax;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public Long getPriority() {
      return priority;
   }

   public void setPriority(Long priority) {
      this.priority = priority;
   }

   public String getLocation() {
      return location;
   }

   public void setLocation(String location) {
      this.location = location;
   }

   public Long getRmaMaxTimesProcessed() {
      return rmaMaxTimesProcessed;
   }

   public void setRmaMaxTimesProcessed(Long rmaMaxTimesProcessed) {
      this.rmaMaxTimesProcessed = rmaMaxTimesProcessed;
   }

   public String getLccBo() {
      return lccBo;
   }

   public void setLccBo(String lccBo) {
      this.lccBo = lccBo;
   }

   public String getOriginalStatusBo() {
      return originalStatusBo;
   }

   public void setOriginalStatusBo(String originalStatusBo) {
      this.originalStatusBo = originalStatusBo;
   }

   public String getQtyMultPerformed() {
      return qtyMultPerformed;
   }

   public void setQtyMultPerformed(String qtyMultPerformed) {
      this.qtyMultPerformed = qtyMultPerformed;
   }

   public LocalDateTime getActualCompDate() {
      return actualCompDate;
   }

   public void setActualCompDate(LocalDateTime actualCompDate) {
      this.actualCompDate = actualCompDate;
   }

   public String getPrevSite() {
      return prevSite;
   }

   public void setPrevSite(String prevSite) {
      this.prevSite = prevSite;
   }

   public String getOriginalTransferKey() {
      return originalTransferKey;
   }

   public void setOriginalTransferKey(String originalTransferKey) {
      this.originalTransferKey = originalTransferKey;
   }

   public String getImmediateArchive() {
      return immediateArchive;
   }

   public void setImmediateArchive(String immediateArchive) {
      this.immediateArchive = immediateArchive;
   }

   public LocalDateTime getTransferDatetime() {
      return transferDatetime;
   }

   public void setTransferDatetime(LocalDateTime transferDatetime) {
      this.transferDatetime = transferDatetime;
   }

   public String getTransferUser() {
      return transferUser;
   }

   public void setTransferUser(String transferUser) {
      this.transferUser = transferUser;
   }

   public String getSnDone() {
      return snDone;
   }

   public void setSnDone(String snDone) {
      this.snDone = snDone;
   }

   public String getAinEquipmentId() {
      return ainEquipmentId;
   }

   public void setAinEquipmentId(String ainEquipmentId) {
      this.ainEquipmentId = ainEquipmentId;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public LocalDateTime getPartitionDate() {
      return partitionDate;
   }

   public void setPartitionDate(LocalDateTime partitionDate) {
      this.partitionDate = partitionDate;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String SFC = "SFC";

public static final String STATUS_BO = "STATUS_BO";

public static final String SHOP_ORDER_BO = "SHOP_ORDER_BO";

public static final String QTY = "QTY";

public static final String QTY_DONE = "QTY_DONE";

public static final String QTY_SCRAPPED = "QTY_SCRAPPED";

public static final String QTY_HISTORICAL_MIN = "QTY_HISTORICAL_MIN";

public static final String QTY_HISTORICAL_MAX = "QTY_HISTORICAL_MAX";

public static final String ITEM_BO = "ITEM_BO";

public static final String PRIORITY = "PRIORITY";

public static final String LOCATION = "LOCATION";

public static final String RMA_MAX_TIMES_PROCESSED = "RMA_MAX_TIMES_PROCESSED";

public static final String LCC_BO = "LCC_BO";

public static final String ORIGINAL_STATUS_BO = "ORIGINAL_STATUS_BO";

public static final String QTY_MULT_PERFORMED = "QTY_MULT_PERFORMED";

public static final String ACTUAL_COMP_DATE = "ACTUAL_COMP_DATE";

public static final String PREV_SITE = "PREV_SITE";

public static final String ORIGINAL_TRANSFER_KEY = "ORIGINAL_TRANSFER_KEY";

public static final String IMMEDIATE_ARCHIVE = "IMMEDIATE_ARCHIVE";

public static final String TRANSFER_DATETIME = "TRANSFER_DATETIME";

public static final String TRANSFER_USER = "TRANSFER_USER";

public static final String SN_DONE = "SN_DONE";

public static final String AIN_EQUIPMENT_ID = "AIN_EQUIPMENT_ID";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String PARTITION_DATE = "PARTITION_DATE";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Sfc{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", sfc = " + sfc +
         ", statusBo = " + statusBo +
         ", shopOrderBo = " + shopOrderBo +
         ", qty = " + qty +
         ", qtyDone = " + qtyDone +
         ", qtyScrapped = " + qtyScrapped +
         ", qtyHistoricalMin = " + qtyHistoricalMin +
         ", qtyHistoricalMax = " + qtyHistoricalMax +
         ", itemBo = " + itemBo +
         ", priority = " + priority +
         ", location = " + location +
         ", rmaMaxTimesProcessed = " + rmaMaxTimesProcessed +
         ", lccBo = " + lccBo +
         ", originalStatusBo = " + originalStatusBo +
         ", qtyMultPerformed = " + qtyMultPerformed +
         ", actualCompDate = " + actualCompDate +
         ", prevSite = " + prevSite +
         ", originalTransferKey = " + originalTransferKey +
         ", immediateArchive = " + immediateArchive +
         ", transferDatetime = " + transferDatetime +
         ", transferUser = " + transferUser +
         ", snDone = " + snDone +
         ", ainEquipmentId = " + ainEquipmentId +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", partitionDate = " + partitionDate +
         "}";
   }
}